Subject: bug#72328: [PATCH] Nested backquote in pcase

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Sep 2024 17:16:46 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 22 Sep 2024 09:30:25 -0400
> 
> >> Ping!  Stefan, should I install this in your name?
> > In the meantime I installed the patch locally and got two warnings when
> > rebuilding Emacs completely:
> > | In testcover-analyze-coverage:
> > | emacs-lisp/testcover.el:472:8: Warning: Nested ` are not supported
> > |   ELC      emacs-lisp/timer-list.elc
> > |
> > | In testcover-analyze-coverage-wrapped-form:
> > | emacs-lisp/testcover.el:551:8: Warning: Nested ` are not supported
> >
> > But they should be trivial to fix (they are only warnings anyway).
> 
> Indeed, these are cases which would change meaning under the semantics
> that was proposed in this bug report.  The patch below would get rid of
> the nested backquotes, thus making that code "agnostic" to their semantics.

I'm not sure I understand: this is instead of the patch you posted
previously, or in addition to it?